#!/bin/bash

# installation directory

if [ "${INCDIR}" == "" ] ; then
	INSTDIR="/Csound/Include" ;
else
	INSTDIR="${INCDIR}" ;
fi

if ( test -e "${INSTDIR}" ) ; then
	if ( ! ( test -d "${INSTDIR}" ) ) ; then
		echo -e "$0: ${INSTDIR}: not a directory"
		exit -1 ;
	fi ;
else
	mkdir -p "${INSTDIR}" || exit -1
	chown 0:0 "${INSTDIR}" >/dev/null 2>/dev/null
	chmod 755 "${INSTDIR}" ;
fi

for i in	EventMod.include.orc		\
		EventMod.sco			\
		base_macros.h.orc		\
		base_macros.include.orc		\
		ctrl.h.orc			\
		fgen.h.orc			\
		fgen.h.sco			\
		formant_table.include.orc	\
		formant_table.include.sco	\
		uhjmacros.h.orc			; do

		rm -f "${INSTDIR}/${i}"
		cp -af "./${i}" "${INSTDIR}"
		chown 0:0 "${INSTDIR}/${i}" >/dev/null 2>/dev/null
		chmod 444 "${INSTDIR}/${i}" ;
done

